G-EUCLID
1
BRL-CAD
BRL-CAD

# g-euclid

EUCLID Translator (BRL-CAD to EUCLID)

      g-euclid    -v
        -xX lvl
        -a abs_tol
        -r rel_tol
        -n norm_tol
        -o euclid_file
        database.g
        object(s)

## DESCRIPTION

g-euclid converts the specified object(s) from a BRL-CAD database.g file to the "decoded" EUCLID format. The decoded file represents each object as a series of polygonal faces. Each face may be one of either a simple face (no holes), a complex face (contains at least one hole), or a simple hole. This converter creates a region for each object ID number by unioning together all the objects with the same ID number. The `-x` option specifies an RT debug flag and the `-X` option specifies an NMG debug flag. The `-a` , `-r` , and `-n` options specify tessellation tolerances. The `-o` option specifies the name of the file to receive the output (stdout is the default).

## EXAMPLE

    $ g-euclid -o sample.euclid sample.g sample_object

## DIAGNOSTICS

Error messages are intended to be self-explanatory.

## AUTHOR

BRL-CAD Team

## COPYRIGHT

This software is Copyright (c) 1994-2013 by the United States Government as represented by U.S. Army Research Laboratory.

## BUG REPORTS

Reports of bugs or problems should be submitted via electronic mail to <devs@brlcad.org>.